%define prefix /usr
%define name gtans
%define version 1.2
%define release %mkrel 1
%define url http://gtans.sourceforge.net/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Games/Puzzles
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Source1:	%{name}.png
Summary:	The Tangram is a chinese puzzle. 
Summary(de):	Das Tangram ist ein chinesisches Puzzle
Summary(fr):	Le Tangram est un casse-tête chinois
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+1.2-devel
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2	
Obsoletes:	%name < %version

%description
The Tangram is a chinese puzzle. The object is to put seven geometric
shapes together so as to form a given outline. All the pieces must be
used and are laid next to one another. The pieces are five triangles,
a square and a parallelogram.

Sometimes there is more than one solution. They're all accepted as long
as they have the same outline. For example the red and the blue figures
below are NOT the same. 

#german
%description -l de
Das Tangram ist ein chinesisches Puzzle. Das Objekt wird mit sieben geometrischen 
Formen zusammengesetzt, um so einen bestimmte Form zu erhalten. Alle Stücke müssen 
verwendet und aneinander festgelegt werden. Die Stücke sind fünf Dreiecke, ein Quadrat 
und ein Parallelogramm.

Manchmal gibt es mehr als eine Lösung. Sie sind alle zugelassen, solange sie die gleiche 
Form ergeben. Zum Beispiel die rote und die blaue nachstehenden Figuren sind nicht das 
gleiche.

#french
%description -l fr
Le Tangram est un casse-tête chinois. Le but est de mettre sept formes géométriques
formes ensemble de manière à former un contour donné. Toutes les pièces doivent être
utilisées et sont orientées l'un à côté de l'autre. Il y a cinq triangles,
un carré et un parallélogramme.

Parfois, il ya plus d'une solution. Elles sont tous acceptées du moment qu'elles ont 
le même contour. Par exemple, les silhouettes rouge et bleu ci-dessous ne sont pas les 
mêmes.

%prep

%setup -q -n %{name}-%{version}

%build


%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a $RPM_BUILD_DIR/%{name}-%{version}/figures %{buildroot}%{_datadir}/%{name}/
cp -a $RPM_BUILD_DIR/%{name}-%{version}/misc %{buildroot}%{_datadir}/%{name}/
cp -a $RPM_BUILD_DIR/%{name}-%{version}/pixmaps %{buildroot}%{_datadir}/%{name}/
install -m 0644 *.txt %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}%{_iconsdir}
install -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=gTans
Comment=The Tangram is a chinese puzzle
Comment[de]=Das Tangram ist ein chinesisches Puzzle
Comment[fr]=Le Tangram est un casse-tête chinois
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
Encoding=UTF-8
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{cs,fr,es,pl,ru,tr,uk,de}/LC_MESSAGES
cp -a $RPM_BUILD_DIR/%{name}-%{version}/po/%{name}.mo-cs %{buildroot}%{_datadir}/locale/cs/LC_MESSAGES/%{name}.mo
cp -a $RPM_BUILD_DIR/%{name}-%{version}/po/%{name}.mo-fr %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo
cp -a $RPM_BUILD_DIR/%{name}-%{version}/po/%{name}.mo-es %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/%{name}.mo
cp -a $RPM_BUILD_DIR/%{name}-%{version}/po/%{name}.mo-pl %{buildroot}%{_datadir}/locale/pl/LC_MESSAGES/%{name}.mo
cp -a $RPM_BUILD_DIR/%{name}-%{version}/po/%{name}.mo-ru %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/%{name}.mo
cp -a $RPM_BUILD_DIR/%{name}-%{version}/po/%{name}.mo-tr %{buildroot}%{_datadir}/locale/tr/LC_MESSAGES/%{name}.mo
cp -a $RPM_BUILD_DIR/%{name}-%{version}/po/%{name}.mo-uk %{buildroot}%{_datadir}/locale/uk/LC_MESSAGES/%{name}.mo
cp -a $RPM_BUILD_DIR/%{name}-%{version}/po/%{name}.mo-de %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo



%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*
%doc AUTHORS COPYING


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Apr 23 2011 leiche <meisssw01 at aol.com> 1.2-1leiche2011
- import to PCLinuxOS
- add german synaptic description
- add french synaptic description, translation by melodie
 